Bug 541661 - Merge Review: perl-DBD-SQLite - Self Contained RDBMS in a DBI Driver
Merge Review: perl-DBD-SQLite - Self Contained RDBMS in a DBI Driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 11:36 EST by Marcela Mašláňová
Modified: 2009-12-10 04:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 04:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Parag AN(पराग) 2009-11-27 04:32:30 EST
I wonder how can this package got missed at time of FC-6 when all core packages submitted for their merge-reviews.
Comment 2 Parag AN(पराग) 2009-12-09 01:04:32 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863813
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
86cf772505009252d9e1239d8caab37ffc353c05  DBD-SQLite-1.27.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=54, Tests=831, 12 wallclock secs ( 0.21 usr  0.05 sys +  3.15 cusr  0.36 csys =  3.77 CPU)
+ Package perl-DBD-SQLite-1.27-2.fc13.i686 =>
Provides: perl(DBD::SQLite) = 1.27 perl(DBD::SQLite::db) perl(DBD::SQLite::dr) perl(DBD::SQLite::_WriteOnceHash)
Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) perl >= 0:5.006 perl(DBI) >= 1.57 perl(DynaLoader) perl(locale) perl(strict) perl(Tie::Hash) perl(vars) rpmlib(VersionedDependencies) <= 3.0.3-1 rtld(GNU_HASH)
+ Not a GUI application

APPROVED.
Comment 3 Marcela Mašláňová 2009-12-10 04:47:37 EST
Thank you for your review.

Note You need to log in before you can comment on or make changes to this bug.